# Form implementation generated from reading ui file 'src/eric7/CycloneDXInterface/CycloneDXConfigDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CycloneDXConfigDialog(object):
    def setupUi(self, CycloneDXConfigDialog):
        CycloneDXConfigDialog.setObjectName("CycloneDXConfigDialog")
        CycloneDXConfigDialog.resize(650, 368)
        CycloneDXConfigDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(CycloneDXConfigDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(parent=CycloneDXConfigDialog)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.environmentLabel = QtWidgets.QLabel(parent=CycloneDXConfigDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.environmentLabel.sizePolicy().hasHeightForWidth())
        self.environmentLabel.setSizePolicy(sizePolicy)
        self.environmentLabel.setWordWrap(True)
        self.environmentLabel.setObjectName("environmentLabel")
        self.horizontalLayout_2.addWidget(self.environmentLabel)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.groupBox = QtWidgets.QGroupBox(parent=CycloneDXConfigDialog)
        self.groupBox.setObjectName("groupBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.environmentButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.environmentButton.setChecked(True)
        self.environmentButton.setObjectName("environmentButton")
        self.horizontalLayout.addWidget(self.environmentButton)
        self.pipenvButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.pipenvButton.setObjectName("pipenvButton")
        self.horizontalLayout.addWidget(self.pipenvButton)
        self.poetryButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.poetryButton.setObjectName("poetryButton")
        self.horizontalLayout.addWidget(self.poetryButton)
        self.requirementsButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.requirementsButton.setObjectName("requirementsButton")
        self.horizontalLayout.addWidget(self.requirementsButton)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=CycloneDXConfigDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout.setObjectName("gridLayout")
        self.fileFormatComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        self.fileFormatComboBox.setObjectName("fileFormatComboBox")
        self.fileFormatComboBox.addItem("")
        self.fileFormatComboBox.addItem("")
        self.gridLayout.addWidget(self.fileFormatComboBox, 2, 1, 1, 1)
        self.vulnerabilityCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.vulnerabilityCheckBox.setChecked(True)
        self.vulnerabilityCheckBox.setObjectName("vulnerabilityCheckBox")
        self.gridLayout.addWidget(self.vulnerabilityCheckBox, 0, 0, 1, 3)
        self.dependenciesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.dependenciesCheckBox.setChecked(True)
        self.dependenciesCheckBox.setObjectName("dependenciesCheckBox")
        self.gridLayout.addWidget(self.dependenciesCheckBox, 1, 0, 1, 3)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.schemaVersionComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        self.schemaVersionComboBox.setObjectName("schemaVersionComboBox")
        self.gridLayout.addWidget(self.schemaVersionComboBox, 3, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(413, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 2, 2, 1, 1)
        self.filePicker = EricPathPicker(parent=self.groupBox_2)
        self.filePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.filePicker.setObjectName("filePicker")
        self.gridLayout.addWidget(self.filePicker, 5, 1, 1, 2)
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 5, 0, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.readableCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.readableCheckBox.setObjectName("readableCheckBox")
        self.gridLayout.addWidget(self.readableCheckBox, 4, 0, 1, 3)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CycloneDXConfigDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(CycloneDXConfigDialog)
        self.buttonBox.accepted.connect(CycloneDXConfigDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(CycloneDXConfigDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CycloneDXConfigDialog)
        CycloneDXConfigDialog.setTabOrder(self.environmentButton, self.pipenvButton)
        CycloneDXConfigDialog.setTabOrder(self.pipenvButton, self.poetryButton)
        CycloneDXConfigDialog.setTabOrder(self.poetryButton, self.requirementsButton)
        CycloneDXConfigDialog.setTabOrder(self.requirementsButton, self.vulnerabilityCheckBox)
        CycloneDXConfigDialog.setTabOrder(self.vulnerabilityCheckBox, self.dependenciesCheckBox)
        CycloneDXConfigDialog.setTabOrder(self.dependenciesCheckBox, self.fileFormatComboBox)
        CycloneDXConfigDialog.setTabOrder(self.fileFormatComboBox, self.schemaVersionComboBox)
        CycloneDXConfigDialog.setTabOrder(self.schemaVersionComboBox, self.readableCheckBox)
        CycloneDXConfigDialog.setTabOrder(self.readableCheckBox, self.filePicker)

    def retranslateUi(self, CycloneDXConfigDialog):
        _translate = QtCore.QCoreApplication.translate
        CycloneDXConfigDialog.setWindowTitle(_translate("CycloneDXConfigDialog", "SBOM Configuration"))
        self.label.setText(_translate("CycloneDXConfigDialog", "Environment:"))
        self.groupBox.setTitle(_translate("CycloneDXConfigDialog", "Input"))
        self.environmentButton.setToolTip(_translate("CycloneDXConfigDialog", "Select to build SBOM from environment"))
        self.environmentButton.setText(_translate("CycloneDXConfigDialog", "Environment"))
        self.pipenvButton.setToolTip(_translate("CycloneDXConfigDialog", "Select to build SBOM from \'Pipfile.lock\' file"))
        self.pipenvButton.setText(_translate("CycloneDXConfigDialog", "PipEnv"))
        self.poetryButton.setToolTip(_translate("CycloneDXConfigDialog", "Select to build SBOM from \'poetry.lock\' file"))
        self.poetryButton.setText(_translate("CycloneDXConfigDialog", "Poetry"))
        self.requirementsButton.setToolTip(_translate("CycloneDXConfigDialog", "Select to build SBOM from \'requirements.txt\' file"))
        self.requirementsButton.setText(_translate("CycloneDXConfigDialog", "Requirements"))
        self.groupBox_2.setTitle(_translate("CycloneDXConfigDialog", "SBOM Output"))
        self.fileFormatComboBox.setToolTip(_translate("CycloneDXConfigDialog", "Select the format of the SBOM file"))
        self.fileFormatComboBox.setItemText(0, _translate("CycloneDXConfigDialog", "JSON"))
        self.fileFormatComboBox.setItemText(1, _translate("CycloneDXConfigDialog", "XML"))
        self.vulnerabilityCheckBox.setToolTip(_translate("CycloneDXConfigDialog", "Select to include vulnerability data in the generated SBOM (requires Schema 1.4 or newer)"))
        self.vulnerabilityCheckBox.setText(_translate("CycloneDXConfigDialog", "Include Vulnerability Information"))
        self.dependenciesCheckBox.setToolTip(_translate("CycloneDXConfigDialog", "Select to include dependency information in the generated SBOM"))
        self.dependenciesCheckBox.setText(_translate("CycloneDXConfigDialog", "Include Dependencies"))
        self.label_2.setText(_translate("CycloneDXConfigDialog", "File Format:"))
        self.schemaVersionComboBox.setToolTip(_translate("CycloneDXConfigDialog", "Select the SBOM schema version of the SBOM file"))
        self.filePicker.setToolTip(_translate("CycloneDXConfigDialog", "Enter the file path for the SBOM file (leave empty for default)"))
        self.label_4.setText(_translate("CycloneDXConfigDialog", "File Name:"))
        self.label_3.setText(_translate("CycloneDXConfigDialog", "Schema Version:"))
        self.readableCheckBox.setToolTip(_translate("CycloneDXConfigDialog", "Select to generate non-compact, readable output"))
        self.readableCheckBox.setText(_translate("CycloneDXConfigDialog", "Generate Readable Output"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
